%global momorel 7
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: WYSIWYG CD cover printer with CDDB support
Name: kover
Version: 3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://lisas.de/kover/
Group: Applications/Publishing
Source0: http://lisas.de/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: kover-3-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libart_lgpl-devel
BuildPreReq: libcddb-devel
BuildPreReq: libcdio-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: libxml2

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%patch1 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kover.png %{buildroot}%{_datadir}/pixmaps/kover.png

# install mimetypes-icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes
install -m 644 kover/hi48-app-kover.png %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-kover.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideo \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kover.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS TODO
%{_bindir}/kover
%{_datadir}/applications/kde/kover.desktop
%{_datadir}/apps/kover
%{_datadir}/icons/*/*/*/application-x-kover.png
%{_datadir}/icons/*/*/*/audio_mode.png
%{_datadir}/icons/*/*/*/kover.png
%{_datadir}/locale/*/LC_MESSAGES/kover.mo
%{_mandir}/man1/kover.1*
%{_datadir}/mime/packages/kover.xml
%{_datadir}/pixmaps/kover.png

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3-6m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3-5m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3-3m)
- %%NoSource -> NoSource

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-2m)
- install mimetypes-icon

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-1m)
- version 3
- update desktop.patch

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.9.6-1m)
- initial package for Momonga Linux
